--[[
Copyright 2008, 2009, 2010, 2011 João Cardoso
Sushi is distributed under the terms of the GNU General Public License (or the Lesser GPL).
This file is part of Sushi List.

Sushi is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Sushi is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushi. If not, see <http://www.gnu.org/licenses/>.
--]]

local Sushi = LibStub('Sushi-2.0')
local Button = Sushi:GetClass('Button')
local Help, old = Sushi:NewWidgetClass('HelpButton', {
	frameType = 'Button',
	version = 1,
})

if not Help then
	return
end

function Help:OnCreate()
	Button.OnCreate(self)
	
	self:SetHighlightTexture('Interface\\FriendsFrame\\InformationIcon-Highlight')
	self:SetNormalTexture('Interface\\FriendsFrame\\InformationIcon')
	self:SetSize(16, 16)
end

if not old then
	Button:Embed(Help, 'OnCreate', 'SetText')
else
	Help:UpdateEmbeds()
end