local L = Cornucopia_Locals
local Language = GetLocale()

-- Cornucopia_DEV = {}
setmetatable(L, L)
L.__index = function(L, k)
	-- Cornucopia_DEV[k] = true
	return k
end

-- Traditional Chinese --
if Language == 'zhTW' then
	L["Add"] = "新增"
	L["Anchor"] = "錨點"
	L["Bottom"] = "按鈕"
	L["BottomLeft"] = "左鍵"
	L["BottomRight"] = "右鍵"
	L["Center"] = "中心"
	L["Combat"] = "戰鬥"
	L["Display"] = "顯示"
	L["Friendly Target"] = "友善目標"
	L["Left"] = "左"
	L["Relative Point"] = "相對點"
	L["Right"] = "右"
	L["Shape"] = "形狀"


-- English --
else
	L['Add'] = 'Add Bar'
	L['BottomLeft'] = 'Bottom Left'
	L['BottomRight'] = 'Bottom Right'
	L['TopLeft'] = 'Top Left'
	L['TopRight'] = 'Top Right'
end